Novell Home

CVE-2010-3703

Common Vulnerabilities and Exposures

[Previous] [Index] [Next]

Upstream information

CVE-2010-3703 at MITRE

Description

The PostScriptFunction::PostScriptFunction function in poppler/Function.cc in the PDF parser in poppler 0.8.7 and possibly other versions up to 0.15.1, and possibly other products, allows context-dependent attackers to cause a denial of service (crash) via a PDF file that triggers an uninitialized pointer dereference.

NVD CVSS v2 Base Score: 4.3 (AV:N/AC:M/Au:N/C:N/I:N/A:P)

Novell/SUSE information

Novell Bugzilla entries: 642785, 644112, 644521, 657780

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 10 SP3 for AMD64 and Intel EM64T
SUSE Linux Enterprise Desktop 10 SP3 for x86
SUSE Linux Enterprise SDK 10 SP3
SUSE Linux Enterprise Server 10 SP3
SUSE Linux Enterprise Server for SAP 10 SP3
  • xpdf-tools >= 3.01-21.24.1
sles10-sp3.s390x
sles10-sp3.x86
sle10-sp3-sdk.ppc
sles10-sp3.ppc
sled10-sp3.x86
sles10-sp3.ia64
sle10-sp3-sdk.x86
sled10-sp3.x86-64
sle10-sp3-sdk.ia64
sle10-sp3-sdk.s390x
sle10-sp3-sdk.x86-64
sles10-sp3.x86-64
ZYPP Patch Nr: 7190
SUSE Linux Enterprise SDK 10 SP3
  • xpdf >= 3.01-21.24.1
sles10-sp3.s390x
sles10-sp3.x86
sle10-sp3-sdk.ppc
sles10-sp3.ppc
sled10-sp3.x86
sles10-sp3.ia64
sle10-sp3-sdk.x86
sled10-sp3.x86-64
sle10-sp3-sdk.ia64
sle10-sp3-sdk.s390x
sle10-sp3-sdk.x86-64
sles10-sp3.x86-64
ZYPP Patch Nr: 7190
SUSE Linux Enterprise 11 Moblin 2.0
  • xpdf-debuginfo >= 3.02-138.29.1
  • xpdf-debugsource >= 3.02-138.29.1
SAT Patch Nr: 3330
SUSE Linux Enterprise 11 Moblin 2.0
  • xpdf >= 3.02-138.29.1
  • xpdf-tools >= 3.02-138.29.1
SAT Patch Nr: 3330
openSUSE 11.2
  • libpoppler-glib4-debuginfo >= 0.12.3-1.2.1
  • libpoppler-qt2-debuginfo >= 0.12.3-1.2.1
  • libpoppler-qt4-3-debuginfo >= 0.12.3-1.2.1
  • libpoppler5-debuginfo >= 0.12.3-1.2.1
  • poppler-debugsource >= 0.12.3-1.2.1
  • poppler-tools-debuginfo >= 0.12.3-1.2.1
openSUSE 11.2
  • libpoppler-devel >= 0.12.3-1.2.1
  • libpoppler-doc >= 0.12.3-1.2.1
  • libpoppler-glib-devel >= 0.12.3-1.2.1
  • libpoppler-glib4 >= 0.12.3-1.2.1
  • libpoppler-qt2 >= 0.12.3-1.2.1
  • libpoppler-qt3-devel >= 0.12.3-1.2.1
  • libpoppler-qt4-3 >= 0.12.3-1.2.1
  • libpoppler-qt4-devel >= 0.12.3-1.2.1
  • libpoppler5 >= 0.12.3-1.2.1
  • poppler-tools >= 0.12.3-1.2.1
openSUSE 11.1
  • xpdf-debuginfo >= 3.02-97.83.1
  • xpdf-debugsource >= 3.02-97.83.1
openSUSE 11.1
  • xpdf >= 3.02-97.83.1
  • xpdf-tools >= 3.02-97.83.1
openSUSE 11.3
  • libpoppler-glib4-debuginfo >= 0.12.3-5.1.1
  • libpoppler5-debuginfo >= 0.12.3-5.1.1
  • poppler-debugsource >= 0.12.3-5.1.1
  • poppler-tools-debuginfo >= 0.12.3-5.1.1
openSUSE 11.3
  • libpoppler-devel >= 0.12.3-5.1.1
  • libpoppler-doc >= 0.12.3-5.1.1
  • libpoppler-glib-devel >= 0.12.3-5.1.1
  • libpoppler-glib4 >= 0.12.3-5.1.1
  • libpoppler5 >= 0.12.3-5.1.1
  • poppler-tools >= 0.12.3-5.1.1
SLE 11 SP1 DEBUGINFO
  • poppler-debuginfo >= 0.12.3-1.3.1
  • poppler-debugsource >= 0.12.3-1.3.1
sle11-sp1-sdk.x86-64
sle11-sp1-sdk.s390x
sled11-sp1.x86
sles11-sp1.x86
sle11-sp1-sdk.x86
sles11-sp1.ppc
sles11-sp1.ia64
sle11-sp1-sdk.ia64
sles11-sp1-vmware.x86-64
sle11-sp1-sdk.ppc
sles11-sp1.x86-64
sles11-sp1.s390x
sles11-sp1-vmware.x86
sled11-sp1.x86-64
SAT Patch Nr: 3338
SUSE Linux Enterprise Software Development Kit 11 SP1
  • libpoppler-devel >= 0.12.3-1.3.1
  • libpoppler-glib-devel >= 0.12.3-1.3.1
  • libpoppler-qt2 >= 0.12.3-1.3.1
  • libpoppler-qt3-devel >= 0.12.3-1.3.1
  • libpoppler-qt4-devel >= 0.12.3-1.3.1
sle11-sp1-sdk.x86-64
sle11-sp1-sdk.s390x
sled11-sp1.x86
sles11-sp1.x86
sle11-sp1-sdk.x86
sles11-sp1.ppc
sles11-sp1.ia64
sle11-sp1-sdk.ia64
sles11-sp1-vmware.x86-64
sle11-sp1-sdk.ppc
sles11-sp1.x86-64
sles11-sp1.s390x
sles11-sp1-vmware.x86
sled11-sp1.x86-64
SAT Patch Nr: 3338
SUSE Linux Enterprise Software Development Kit 11 SP1
  • libpoppler-devel >= 0.12.3-1.3.1
  • libpoppler-glib-devel >= 0.12.3-1.3.1
  • libpoppler-qt2 >= 0.12.3-1.3.1
  • libpoppler-qt3-devel >= 0.12.3-1.3.1
  • libpoppler-qt4-devel >= 0.12.3-1.3.1
  • poppler-tools >= 0.12.3-1.3.1
sle11-sp1-sdk.x86-64
sle11-sp1-sdk.s390x
sled11-sp1.x86
sles11-sp1.x86
sle11-sp1-sdk.x86
sles11-sp1.ppc
sles11-sp1.ia64
sle11-sp1-sdk.ia64
sles11-sp1-vmware.x86-64
sle11-sp1-sdk.ppc
sles11-sp1.x86-64
sles11-sp1.s390x
sles11-sp1-vmware.x86
sled11-sp1.x86-64
SAT Patch Nr: 3338
SUSE Linux Enterprise Desktop 11 SP1
  • libpoppler-glib4 >= 0.12.3-1.3.1
  • libpoppler-qt4-3 >= 0.12.3-1.3.1
  • libpoppler5 >= 0.12.3-1.3.1
sle11-sp1-sdk.x86-64
sle11-sp1-sdk.s390x
sled11-sp1.x86
sles11-sp1.x86
sle11-sp1-sdk.x86
sles11-sp1.ppc
sles11-sp1.ia64
sle11-sp1-sdk.ia64
sles11-sp1-vmware.x86-64
sle11-sp1-sdk.ppc
sles11-sp1.x86-64
sles11-sp1.s390x
sles11-sp1-vmware.x86
sled11-sp1.x86-64
SAT Patch Nr: 3338
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
  • libpoppler-glib4 >= 0.12.3-1.3.1
  • libpoppler-qt4-3 >= 0.12.3-1.3.1
  • libpoppler5 >= 0.12.3-1.3.1
  • poppler-tools >= 0.12.3-1.3.1
sle11-sp1-sdk.x86-64
sle11-sp1-sdk.s390x
sled11-sp1.x86
sles11-sp1.x86
sle11-sp1-sdk.x86
sles11-sp1.ppc
sles11-sp1.ia64
sle11-sp1-sdk.ia64
sles11-sp1-vmware.x86-64
sle11-sp1-sdk.ppc
sles11-sp1.x86-64
sles11-sp1.s390x
sles11-sp1-vmware.x86
sled11-sp1.x86-64
SAT Patch Nr: 3338
openSUSE 11.1
  • poppler-debuginfo >= 0.10.1-1.9.1
  • poppler-debugsource >= 0.10.1-1.9.1
openSUSE 11.1
  • libpoppler-devel >= 0.10.1-1.9.1
  • libpoppler-doc >= 0.10.1-1.9.1
  • libpoppler-glib-devel >= 0.10.1-1.9.1
  • libpoppler-glib4 >= 0.10.1-1.9.1
  • libpoppler-qt2 >= 0.10.1-1.9.1
  • libpoppler-qt3-devel >= 0.10.1-1.9.1
  • libpoppler-qt4-3 >= 0.10.1-1.9.1
  • libpoppler-qt4-devel >= 0.10.1-1.9.1
  • libpoppler4 >= 0.10.1-1.9.1
  • poppler-tools >= 0.10.1-1.9.1
Open Enterprise Server
  • cups >= 1.1.20-108.65
  • cups-client >= 1.1.20-108.65
  • cups-devel >= 1.1.20-108.65
  • cups-libs >= 1.1.20-108.65
core9.x86-64
core9.s390
sles9-nlpos.x86
core9.x86
sles9-oes.x86
core9.ia64
core9.ppc
core9.s390x
YOU Patch Nr: 12665
SUSE Linux Enterprise Desktop 10 SP3 for x86
SUSE Linux Enterprise Server 10 SP3
  • cups >= 1.1.23-40.60.12
  • cups-client >= 1.1.23-40.60.12
  • cups-devel >= 1.1.23-40.60.12
  • cups-libs >= 1.1.23-40.60.12
sles10-sp3.ia64
sled10-sp3.x86
sles10-sp3.ppc
sles10-sp3.s390x
sled10-sp3.x86-64
sles10-sp3.x86
sles10-sp3.x86-64
ZYPP Patch Nr: 7244
SUSE Linux Enterprise Desktop 10 SP3 for AMD64 and Intel EM64T
SUSE Linux Enterprise SDK 10 SP3
SUSE Linux Enterprise Server 10 SP3
SUSE Linux Enterprise Server for SAP 10 SP3
  • cups >= 1.1.23-40.60.12
  • cups-client >= 1.1.23-40.60.12
  • cups-devel >= 1.1.23-40.60.12
  • cups-libs >= 1.1.23-40.60.12
  • cups-libs-32bit >= 1.1.23-40.60.12
sles10-sp3.ia64
sled10-sp3.x86
sles10-sp3.ppc
sles10-sp3.s390x
sled10-sp3.x86-64
sles10-sp3.x86
sles10-sp3.x86-64
ZYPP Patch Nr: 7244
SUSE Linux Enterprise Server 10 SP3
  • cups >= 1.1.23-40.60.12
  • cups-client >= 1.1.23-40.60.12
  • cups-devel >= 1.1.23-40.60.12
  • cups-libs >= 1.1.23-40.60.12
  • cups-libs-x86 >= 1.1.23-40.60.12
sles10-sp3.ia64
sled10-sp3.x86
sles10-sp3.ppc
sles10-sp3.s390x
sled10-sp3.x86-64
sles10-sp3.x86
sles10-sp3.x86-64
ZYPP Patch Nr: 7244
SUSE Linux Enterprise Server 10 SP3
  • cups >= 1.1.23-40.60.12
  • cups-client >= 1.1.23-40.60.12
  • cups-devel >= 1.1.23-40.60.12
  • cups-libs >= 1.1.23-40.60.12
  • cups-libs-64bit >= 1.1.23-40.60.12
sles10-sp3.ia64
sled10-sp3.x86
sles10-sp3.ppc
sles10-sp3.s390x
sled10-sp3.x86-64
sles10-sp3.x86
sles10-sp3.x86-64
ZYPP Patch Nr: 7244
SUSE Linux Enterprise Desktop 10 SP3 for AMD64 and Intel EM64T
SUSE Linux Enterprise Desktop 10 SP3 for x86
  • kdegraphics3 >= 3.5.1-23.30.4
  • kdegraphics3-devel >= 3.5.1-23.30.4
  • kdegraphics3-fax >= 3.5.1-23.30.4
  • kdegraphics3-kamera >= 3.5.1-23.30.4
  • kdegraphics3-pdf >= 3.5.1-23.30.4
  • kdegraphics3-postscript >= 3.5.1-23.30.4
  • kdegraphics3-scan >= 3.5.1-23.30.4
sles10-sp3.ia64
sled10-sp3.x86-64
sle10-sp3-sdk.x86-64
sles10-sp3.s390x
sle10-sp3-sdk.ia64
sle10-sp3-sdk.x86
sles10-sp3.x86
sle10-sp3-sdk.ppc
sles10-sp3.x86-64
sles10-sp3.ppc
sle10-sp3-sdk.s390x
sled10-sp3.x86
ZYPP Patch Nr: 7235
SUSE Linux Enterprise SDK 10 SP3
  • kdegraphics3-devel >= 3.5.1-23.30.4
  • kdegraphics3-extra >= 3.5.1-23.30.4
  • kdegraphics3-kamera >= 3.5.1-23.30.4
  • kdegraphics3-scan >= 3.5.1-23.30.4
sles10-sp3.ia64
sled10-sp3.x86-64
sle10-sp3-sdk.x86-64
sles10-sp3.s390x
sle10-sp3-sdk.ia64
sle10-sp3-sdk.x86
sles10-sp3.x86
sle10-sp3-sdk.ppc
sles10-sp3.x86-64
sles10-sp3.ppc
sle10-sp3-sdk.s390x
sled10-sp3.x86
ZYPP Patch Nr: 7235
SUSE Linux Enterprise SDK 10 SP3
SUSE Linux Enterprise Server 10 SP3
SUSE Linux Enterprise Server for SAP 10 SP3
  • kdegraphics3 >= 3.5.1-23.30.4
  • kdegraphics3-devel >= 3.5.1-23.30.4
  • kdegraphics3-extra >= 3.5.1-23.30.4
  • kdegraphics3-fax >= 3.5.1-23.30.4
  • kdegraphics3-pdf >= 3.5.1-23.30.4
  • kdegraphics3-postscript >= 3.5.1-23.30.4
sles10-sp3.ia64
sled10-sp3.x86-64
sle10-sp3-sdk.x86-64
sles10-sp3.s390x
sle10-sp3-sdk.ia64
sle10-sp3-sdk.x86
sles10-sp3.x86
sle10-sp3-sdk.ppc
sles10-sp3.x86-64
sles10-sp3.ppc
sle10-sp3-sdk.s390x
sled10-sp3.x86
ZYPP Patch Nr: 7235
SLE 11 SP1 DEBUGINFO
  • xpdf-debuginfo >= 3.02-138.29.2
  • xpdf-debugsource >= 3.02-138.29.2
sled11-sp1.x86-64
sles11-sp1-vmware.x86
sles11-sp1.x86-64
sles11-sp1.ppc
sles11-sp1-vmware.x86-64
sled11-sp1.x86
sles11-sp1.s390x
sles11-sp1.x86
sles11-sp1.ia64
SAT Patch Nr: 3377
SUSE Linux Enterprise Desktop 11 SP1
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
  • xpdf-tools >= 3.02-138.29.2
sled11-sp1.x86-64
sles11-sp1-vmware.x86
sles11-sp1.x86-64
sles11-sp1.ppc
sles11-sp1-vmware.x86-64
sled11-sp1.x86
sles11-sp1.s390x
sles11-sp1.x86
sles11-sp1.ia64
SAT Patch Nr: 3377

© 2014 Novell